Send a campaign schedule from Contour to multiple recipients using JSON. Emails can be sent in a batch to a maximum of 10,000 recipients. During a marketing sendemail request, the marketing service checks the email permit of a recipient (person), updates existing records in the Person table, inserts new records for a new person in the Person table and tracks email performance data.
Prerequisites
Before you can use this service you need to make sure that you've completed the following tasks:
- Created a Marketing Email schedule in Contour
- Received the relevant credentials from your RedEye account manager
- Allowed no more than 240 merges in a schedule
Considerations
- If the same recipient is included in the API call, any parameter updates will take the values off the first entry of that recipient
- Person aliases are not supported
- Duplicate batch_ids are ignored. Duplicate recipients in the same API call is allowed.
- For specific cases permit override can be allowed, speak to your Account Manager for more information
- We recommend not to include mobile numbers in the Marketing Email API call
- We recommend each recipient in the API call should have the same parameters but they can have different values
- If email permit is specified in the API call this should be for every recipient as above, a recipient without permit will be presumed as no permit and will be rejected.If email permit is not included for any recipient then the value will be taken from your database.
URL to use
METHOD: POST
https://api.redeye.com/[client_id]/marketing/sendemail/Body Sample
{
"schedule": "string", //the name of the schedule to send
"batch_id": 0, //a unique reference number such as a non-decimal integer e.g. microtime
"recipients": [{
"email": "string",
"firstname": "string",
"titlelastname": "string",
"ordernumber": 0
}]
}{
"schedule": "string", //the name of the schedule to send
"batch_id": 0, //a unique reference number such as a non-decimal integer e.g. microtime
"recipients": [{
"email": "string",
"firstname": "string",
"titlelastname": "string",
"ordernumber": 0
}]
}